#include <SerialDisplay.h>

/* SerialDisplay est une classe

  Les méthodes

	SerialDisplay(byte tx) // Le constructor par defaut un ecran de 16 x 2
	SerialDisplay(byte tx, byte sizex, byte sizey) // Le constructor alternatif qui précise la taille de
												// de l'afficheur 16 ou 20 colonnes : sizex;  2 ou 4 lignes : sizey
	void Begin(long vitesse) definition de la vitesse de dialogue
	print() pour tout type de données
        println() idem
        print(float f, int nb_decimales) par defaut 2
        println(float f, int nb_decimals) idem

        write(char c)

        void Clrscr() efface l'écran
	void CursRight() bouge le curseur vers la droite
	void CursLeft()  bouge le curseur vers la gauche
	void ScrollRight() bouge tout l'écran vers la droite
	void ScrollLeft() bouge tout l'écran vers la gauche
	void Displayon() affiche on
	void Displayoff() affiche off
	void Underlineon() souligne le curseur
	void Underlineoff() curseur muet
	void Blinkingon() fait clignotter le curseur
	void Blinkingoff() arrete le clignottement
	void Posxy(byte x, byte y) positionne le curseur en x y (le coin en haut à gauche est à (1,1)
	void Backlight(byte i) fait varier la puissance lumineuse i va de 1 à 31
	void Set_mode(boolean p ) // si p=true permet de proteger l'emission des caractères à l'afficheur des autres interruptions
                              // à utiliser avec précaution. par défaut p vaut false;
*/

SerialDisplay S = SerialDisplay(5); // Afficheur mis en place sur broche 5
#define vitesse_transmission 2400 // la vitesse de transmission choisie

// 2400, 4800, 9600, 14400, 19200, 38400
void setup()
{
  S.begin(vitesse_transmission);
}

float r = 0;
void loop()
{
  S.Clrscr();
  S.println(r, 4, true);
  //S.Posxy(1,2);
  S.print(r, 4,false);
  delay(10000);
  r = PI * random(10000)/1000.;

}
