#include <SerialDisplay.h>

SerialDisplay ser = SerialDisplay(A0);
void setup()
{
  ser.begin(9600);
  Serial.begin(9600);
}

// standard librairie Serial does not accept long long format for
// print. The SerialDisplay librairie does
// it acts like the folowing function

void imprimeLongLong(unsigned long long n, int base)

{
  unsigned char buf[int(ceil(8*sizeof(long long)*log(2)/log(base)))]; // Assumes 8-bit chars. with size adapted to base
  byte i = 0;
   
  if (n == 0)
  {
    Serial.print('0');
    return;
  }

  while (n > 0)
  {
    buf[i++] = n % base;
    n /= base;
  }
 
  for (; i > 0; i--)
  { if (buf[i - 1] < 10)
    {
      Serial.print (char(buf[i - 1] + 48)); // 48 code de 0
    }
    else
    {
      Serial.print (char(buf[i - 1] - 10 + 65)); // 65 code de A pour affichage en hexa
    }
  }
}


long long l = 0x7FFFFFFFFFFFFFFF;
void loop()
{ for (int i = 2; i < 17; i++)
  {
    ser.Clrscr();
    ser.println(l, i);
    Serial.print("base : ");
    Serial.println(i);
    imprimeLongLong(l, i);
    Serial.println();
    delay(500);
  }
}
